package com.bocloud.cmp.provider.jumpserver;

import com.bocloud.cmp.model.jumpserver.DangerCmd;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.List;

public interface DangerCmdProvider extends SuperProvider {

    default BocloudResult<List<DangerCmd>> list(Integer page, Integer size) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<DangerCmd> create(DangerCmd dangerCmd) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<Void> remove(Long id) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<Void> modify(DangerCmd dangerCmd) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<DangerCmd> detail(Long id) {
        return new BocloudResult(false, "need implement");
    }

}
